# useGetEscrowFromIndexerByContractIds

## Usage

This custom hook exposes a function to get the escrows that you are looking obtain.

{% code overflow="wrap" %}

```typescript
import { useGetEscrowFromIndexerByContractIds } from "@trustless-work/escrow/hooks";
import { GetEscrowFromIndexerByContractIdsParams } from "@trustless-work/escrow/types";

/*
 *  useGetEscrowFromIndexerByContractIds
*/
const { getEscrowByContractIds } = useGetEscrowFromIndexerByContractIds();

/* 
 * It returns the escrow that you are looking for
 * payload should be of type `GetEscrowFromIndexerByContractIdsParams`
*/
await getEscrowByContractIds(payload);
```

{% endcode %}

### Function

* `getEscrowByContractIds` \
  Responsible for building and returning data based on the provided payload.

*Argument:*

`GetEscrowFromIndexerByContractIdsParams`: An object containing the required fields to get the escrows.

{% content-ref url="/pages/bQWczKBinRCWrroXqDih" %}
[Get Escrows by Contract ID](/trustless-work/v2-en/introduction/developer-resources/types/payloads/get-escrows-by-contract-id.md)
{% endcontent-ref %}

*Return Value:*

`escrows`: The escrows that you are looking for.

***

## Usage ExampleForm

{% code title="src/hooks/useGetEscrowFromIndexerByContractIds.ts" overflow="wrap" %}

```typescript
import {
  useGetEscrowFromIndexerByContractIds,
} from "@trustless-work/escrow/hooks";
import {
  GetEscrowFromIndexerByContractIdsParams, 
} from "@trustless-work/escrow/types";

export const useGetEscrowFromIndexerByContractIdsForm = () => {

 /*
  *  useGetEscrowFromIndexerByContractIds
 */
 const { getEscrowByContractIds } = useGetEscrowFromIndexerByContractIds();

/*
 * onSubmit function, this could be called by form button
*/
 const onSubmit = async (payload: GetEscrowFromIndexerByContractIdsParams) => {

    try {
      /**
       * API call by using the trustless work hooks
       * @Note:
       * - We need to pass the payload to the getEscrowByContractIds function
       * - The result will be escrows
      */
      const escrows = await getEscrowByContractIds(payload);
      
      if (!escrows) {
        throw new Error("Escrows not found");
      }

      /**
       * @Responses:
       * escrows !== null
       * - Escrows received successfully
       * - Show a success toast
       *
       * escrows === null
       * - Show an error toast
       */
      if (escrows) {
        toast.success("Escrows Received");
      }
    } catch (error: unknown) {
      // catch error logic
    }
  };
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/indexer/usegetescrowfromindexerbycontractids.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
